import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/goods/performSponsor/pageList',
    method: 'get',
    params: query
  })
}

// 新增修改
export const saveAndEdit = (data) => {
  return request({
    url: '/goods/performSponsor/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/goods/performSponsor/deleteById',
    method: 'delete',
    params: {id:id}
  })
}

// id获取详情
export function getSelectById(id) {
  return request({
    url: '/goods/performSponsor/selectById?id=' + id,
    method: 'get'
  })
}
